<?php
if (!function_exists('add_action')) {
    echo '<div class="page-header"><h2>Hi there!  I\'m just a plugin</h2></div><p>, not much I can do when called directly.</p>';
    exit;
}

if (!isset($_SESSION['prg_id'])) {
    echo '<div class="page-header"><h2>PR-Gateway Login <small>erforderlich</small></h2></div><p>Um Ihre Mitteilung an PR-Gateway zu übermitteln und anschließend an Portale zu veröffentlichen müssen Sie sich zuerst bei PR-Gateway anmelden.</p>';
    exit;
}

require_once dirname(__FILE__) . '/../Controller/getWpImages.php';

$page_data = get_page(substr($_GET['blogid'], 5));
$currentUserID = get_current_user_id();

global $wpdb;

$sqlUserData = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$savedUser = $wpdb->get_row($sqlUserData);


$textAll = parse_ini_file(dirname(__FILE__) . '/../languages/lang.ini', TRUE);
$text = $textAll[$savedUser->lang];

$katsXml = simplexml_load_file('http://www.pr-gateway.de/tools/category.php');

$kats = '';
foreach ($katsXml as $val) {
    $kats .= '<option value="' . $val->id . '">' . $val->titel . '</option>' . PHP_EOL;
}
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv = "Content-Type" content = "text/html; charset=UTF-8">
        <title><?php echo $text['SEND_PRG_HEADER']; ?></title>
        <link rel = "stylesheet" id = "Bootstrap-css" href = "<?php echo plugins_url('css/bootstrap.min.3_0_3.css', dirname(__FILE__)); ?>" type = "text/css" media = "all">
        <link rel = "stylesheet" id = "PRG-Form-css" href = "<?php echo plugins_url('css/prg_connect_form.1_0.css', dirname(__FILE__)); ?>" type = "text/css" media = "all">
        <script type = "text/javascript" src = "<?php echo plugins_url('js/jquery.min.1_7.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/prg_connect_form.1_0.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/bootstrap.min.3_0_3.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.validate.min.1_9.js', dirname(__FILE__)); ?>"></script>
        <link rel="stylesheet" id="FancyBoxStyle-css"  href="<?php echo plugins_url('css/jquery.fancybox-1_3_4.css', dirname(__FILE__)); ?>" type="text/css" media="all">
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.fancybox-1_3_4.pack.js', dirname(__FILE__)); ?>"></script>
    </head>
    <body>
        <?php
        if (time() > 1407542400) {
            ?>
            <div class="alert alert-danger pull-left text-center" role="alert">
                <h4> <?php echo $text['UPDATE_MESSAGE_BEFORE']; ?> </h4>
            </div>
            <div class="clear">

            </div>
            <?php
        } else {
            ?>
            <input type="hidden" name="lang" id="lang" value="<?php echo $savedUser->lang; ?>">
            <form method="POST" id="prgConnect_sendPress" enctype="multipart/form-data">
                <fieldset>
                    <div class="col-md-12">
                        <div class="col-md-6">
                            <h3>
                                <span class="label label-primary"><?php echo $text['WRITE_MSG']; ?></span>
                            </h3>
                        </div>
                        <div class="col-md-4">
                            <h3>
                                <span id="clientdata" class="label label-primary"><?php echo $text['GIVE_CONTACT']; ?></span>
                            </h3>
                        </div>
                    </div>
                    <div id="leftPublishForm">
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['CATEGORY']; ?></small></label>
                            <div class="col-md-11">
                                <select name="prg_cat" id="prg_cat" class="form-control">
                                    <?php echo $kats; ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['TITLE']; ?></small></label>
                            <div class="col-md-11">
                                <input id="prg_title" name="prg_title" maxlength="150" placeholder="<?php echo $text['RCMD_LENGHT']; ?>" class="form-control" type="text" value="<?php echo $page_data->post_title ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['SUB_TITLE']; ?> <small>(optional)</small></small></label>
                            <div class="col-md-11">
                                <input id="prg_subline" name="prg_subline" placeholder="<?php echo $text['SUB_TITLE']; ?>" class="form-control" type="text" value="">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['VIDEO']; ?>  <small>(optional)</small></small></label>
                            <div class="col-md-11">
                                <input id="prg_vidlink" name="prg_vidlink" placeholder="<?php echo $text['VIDEO']; ?>" class="form-control" type="text" value="">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['MSG_TEXT']; ?></small></label>
                            <div class="col-md-11">                     
                                <textarea id="prg_text" name="prg_text" rows="10" data-provide="markdown" class="form-control" placeholder="<?php echo $text['MSG_TEXT']; ?>"><?php echo str_replace('[gallery]', '', trim(strip_tags($page_data->post_content))); ?></textarea>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['KEYWORDS']; ?> <small>(optional)</small></small></label>
                            <div class="col-md-11">                     
                                <input id="prg_keywords" name="prg_keywords" maxlength="200" placeholder="<?php echo $text['KEYWORDS']; ?>" class="form-control" type="text" value="">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-11"><small><?php echo $text['SHORT_TEXT']; ?> <small>(optional)</small></small></label>
                            <div class="col-md-11">                     
                                <textarea id="prg_short" name="prg_short" rows="4" class="form-control" placeholder="<?php echo $text['SHORT_TEXT']; ?>"></textarea>
                            </div>
                        </div>
                    </div>
                    <div id="rightPublishForm">
                        <div class="col-md-12">
                            <ul id="formContact" class="nav nav-tabs">
                                <li class="active">
                                    <a data-toggle="tab" href="#mandant"><?php echo $text['COMPANY']; ?></a>
                                </li>
                                <li class="">
                                    <a data-toggle="tab" href="#presse"><?php echo $text['PRESS_CONTACT']; ?></a>
                                </li>
                            </ul>
                        </div>
                        <div id="myTabContent" class="tab-content">
                            <div id="mandant" class="tab-pane active">
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['COMPANY_NAME']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_firm_name" name="prg_firm_name" placeholder="<?php echo $text['COMPANY_NAME']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-4"></label>
                                    <label class="col-md-8"><small><?php echo $text['FIRST_NAME'] . ' &amp; ' . $text['LAST_NAME']; ?></small></label>
                                    <div class="col-md-4">
                                        <select name="prg_firm_anrede" id="prg_firm_andrede" class="form-control">
                                            <option value="Frau"><?php echo $text['MRS']; ?></option>
                                            <option value="Herr"><?php echo $text['MR']; ?></option>
                                        </select>
                                    </div>
                                    <div class="col-md-8">
                                        <input id="prg_firm_partner" name="prg_firm_partner" placeholder="<?php echo $text['FIRST_NAME'] . ' &amp; ' . $text['LAST_NAME']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['STR'] . ' &amp; ' . $text['NUMBER']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_firm_add" name="prg_firm_add" placeholder="<?php echo $text['STR'] . ' &amp; ' . $text['NUMBER']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3"><small><?php echo $text['ZIP']; ?></small></label>
                                    <label class="col-md-9"><small><?php echo $text['CITY']; ?></small></label>
                                    <div class="col-md-3">
                                        <input id="prg_firm_pc" name="prg_firm_pc" maxlength="5" placeholder="<?php echo $text['ZIP']; ?>" class="form-control" type="text" value="">
                                    </div>
                                    <div class="col-md-9">
                                        <input id="prg_firm_city" name="prg_firm_city" placeholder="<?php echo $text['CITY']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['COUNTRY']; ?></small></label>
                                    <div class="col-md-12">
                                        <select name="prg_firm_state" id="prg_firm_state" class="form-control">
                                            <option value="Deutschland" selected="selected"><?php echo $text['GERMANY']; ?></option>
                                            <option value="Österreich"><?php echo $text['AUSTRIA']; ?></option>
                                            <option value="Schweiz"><?php echo $text['SWITZERLAND']; ?></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['PHONE']; ?>  <small>(optional)</small></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_firm_tel" name="prg_firm_tel" placeholder="<?php echo $text['PHONE']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['EMAIL_WITH_HINT']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_firm_email" name="prg_firm_email" placeholder="<?php echo $text['EMAIL']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['WEBSITE_WITH_HINT']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_firm_url" name="prg_firm_url" placeholder="<?php echo $text['LINK_TO_WEBSITE']; ?>" class="form-control" type="text" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['COMPANY_DESC']; ?></small></label>
                                    <div class="col-md-12">
                                        <textarea id="prg_firm_descr" name="prg_firm_descr" rows="6" class="form-control" placeholder="<?php echo $text['DESC']; ?>"></textarea>
                                    </div>
                                </div>
                            </div>
                            <div id="presse" class="tab-pane">
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['AGENCY']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_presse" type="text" name="prg_presse" value="<?php echo $savedUser->presse; ?>" placeholder="<?php echo $text['AGENCY']; ?>" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-6"><small><?php echo $text['FIRST_NAME']; ?></small></label>
                                    <label class="col-md-6"><small><?php echo $text['LAST_NAME']; ?></small></label>
                                    <div class="col-md-6">
                                        <input id="prg_fname2" type="text" name="prg_fname2" value="<?php echo $savedUser->fname; ?>" placeholder="<?php echo $text['FIRST_NAME']; ?>" class="form-control">
                                    </div>
                                    <div class="col-md-6">
                                        <input id="prg_lname2" type="text" name="prg_lname2" value="<?php echo $savedUser->lname; ?>" placeholder="<?php echo $text['LAST_NAME']; ?>" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['STR'] . ' &amp; ' . $text['NUMBER']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_address2" type="text" name="prg_address2" value="<?php echo $savedUser->address; ?>" placeholder="<?php echo $text['STR'] . ' &amp; ' . $text['NUMBER']; ?>" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-4"><small><?php echo $text['ZIP']; ?></small></label>
                                    <label class="col-md-8"><small><?php echo $text['CITY']; ?></small></label>
                                    <div class="col-md-4">
                                        <input id="prg_pc2" type="text" name="prg_pc2" value="<?php echo $savedUser->pc; ?>" placeholder="<?php echo $text['ZIP']; ?>" class="form-control">
                                    </div>
                                    <div class="col-md-8">
                                        <input id="prg_city2" type="text" name="prg_city2" value="<?php echo $savedUser->city; ?>" placeholder="<?php echo $text['CITY']; ?>" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['PHONE']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_phone2" type="text" name="prg_phone2" value="<?php echo $savedUser->phone; ?>" placeholder="<?php echo $text['PHONE']; ?>" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['EMAIL']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_email2" type="text" name="prg_email2" value="<?php echo $savedUser->email; ?>" placeholder="<?php echo $text['EMAIL']; ?>" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12"><small><?php echo $text['WEBSITE']; ?></small></label>
                                    <div class="col-md-12">
                                        <input id="prg_www2" type="text" name="prg_www2" value="<?php echo $savedUser->www; ?>" placeholder="<?php echo $text['WEBSITE']; ?>" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="bottomPublishForm">
                        <div id="imgChose" class="col-md-12">
                            <h3>
                                <span class="label label-primary"><?php echo $text['PIC_CHOOSE']; ?></span>
                            </h3>
                            <div id="divImg1" class="col-md-2 picList">
                                <label class="col-md-12" for="img0"><img class="imgs" src="<?php echo plugins_url('/images/placeholder.png', dirname(__FILE__)); ?>"></label>
                                <div class="text-center">
                                    <input checked="checked" id="img0" type="radio" name="image" value="">
                                </div>
                            </div>
                            <?php
                            if (display_images_in_list('thumbnail', $page_data->ID)) :
                                $i = 0;
                                $images = display_images_in_list('full', $page_data->ID);
                                foreach ($images[0] as $key => $image) :
                                    $i++;
                                    ?>
                                    <div id="divImg<?php echo $i + 1; ?>" class="col-md-2 picList">
                                        <label class="col-md-12" for="img<?php echo $i + 1; ?>"><img class="imgs" src="<?php echo $images[1][$key][0]; ?>"></label>
                                        <div class="text-center">
                                            <input class="newImg" id="img<?php echo $i + 1; ?>" type="radio" name="image" value="<?php echo $image[3]; ?>">
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                                <div class="clear">

                                </div>
                                <div id="img_rights">
                                    <div class="col-md-12">
                                        <div class="col-md-6">
                                            <label class="col-md-5"><small><?php echo $text['PIC_TITLE']; ?></small></label>
                                            <div class="col-md-5">
                                                <input id="prg_pictitle" name="prg_pictitle" placeholder="<?php echo $text['PIC_NAME']; ?>" class="form-control" type="text" value="">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="col-md-6">
                                            <label class="col-md-5"><small><?php echo $text['PIC_OWNER']; ?></small></label>
                                            <div class="col-md-5">
                                                <input id="prg_owner" name="prg_owner" placeholder="<?php echo $text['PIC_OWNER']; ?>" class="form-control" type="text" value="">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                            endif;
                            ?>
                        </div>
                        <input type="hidden" name="prg_send" value="1">			
                        <input type="hidden" name="prg_lang" value="de">
                        <input type="hidden" name="prg_isjs" value="0">
                        <input type="hidden" value="0" name="status">
                        <input type="hidden" value="" name="message_id">
                        <input type="hidden" value="pm" name="channel">
                        <input type="hidden" value="<?php echo $page_data->ID; ?>" name="blogid">
                        <input type="hidden" value="<?php echo $_SESSION['prg_id']; ?>" name="userid">
                        <input type="hidden" value="direct_insert_news" name="action">
                        <input type="hidden" value="2" name="prg_rightbox">
                        <input type="hidden" value="<?php echo get_option('home'); ?>" name="prg_origin">
                        <div id="submitDiv">
                            <button type="submit" name="draft" value="1" class="btn btn-success" id="submitDraft" data-color="primary"><?php echo $text['SAVE_MSG_DRAFT']; ?></button>
                            <button type="submit" name="publish" value="1" class="btn btn-success" data-color="primary"><?php echo $text['PUBLISH_MSG']; ?></button>
                        </div>
                    </div>
                </fieldset>
                <div id="clearbot">

                </div>
            </form>
            <?php
        }
        ?>
    </body>
</html>

